Subject: Re: bug#17792: 24.3; hintstyle specified via fontconfig is ignored by Emacs

From: Stefan Kangas <[email-masked]>
Date: Thu, 26 Sep 2019 16:10:40 +0200

[email-masked] writes:

> I've noticed font rendering differences between Emacs and other gtk
> applications like gedit. In short, Emacs ignores hintstyle setting in
> fontconfig. I have hintstyle set to hintslight in
> ~/.config/fontconfig/fonts.conf, but I have to add 'Xft.hintstyle:
> hintslight' in Xresources to get the desired effect.
>
> The strange thing is that while ignoring hintstyle setting, Emacs still
> respect part of fontconfig settings, for example, anti-aliasing setting
> in fonts.conf will affect Emacs's font rendering.
>
> To be more precise, if I disable anti-aliasing in fonts.conf and enable
> it in Xresources, Emacs will not have anti-aliasing; if I have
> hintslight in fonts.conf and hintnone in Xresources, Emacs will use
> hintnone.
>
> I have tested with DejaVu Sans Mono 12 and Ubuntu Mono 13, but clearly
> it is not the fonts' problem.

Is this still an issue now that harfbuzz is enabled by default on the
master branch?

Best regards,
Stefan Kangas